using System;
using I2.Loc;
using UnityEngine;
using wf;

public class AcquiredAttributeUnit : MonoBehaviour
{
	private void Awake()
	{
		this.label_ = UTY.GetChildObject(base.gameObject, "Name", false).GetComponent<UILabel>();
		this.label_loc_ = this.label_.GetComponent<Localize>();
	}

	public void SetActive(bool value)
	{
		base.gameObject.SetActive(value);
	}

	public bool IsActive()
	{
		return base.gameObject.activeSelf;
	}

	public void SetText(string text)
	{
		this.label_.text = text;
	}

	public void SetTerm(string termText)
	{
		Utility.SetLocalizeTerm(this.label_loc_, termText, false);
	}

	private UILabel label_;

	private Localize label_loc_;
}
